
#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class BlankDisplay : public iglu::IGLUDisplayMode {
public:
	BlankDisplay() : IGLUDisplayMode() {}
	virtual ~BlankDisplay() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "Blank display"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "A blank display.  It simply clears the screen each frame.  "
			   "Mainly, it is useful for testing windows with multiple display "
			   "modes!"; 
	}

private:

};